---
updatedAt: 2025-09-24T00:06:33.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# List updated stocks

Return a user's list of stocks that were updated after a datetime.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/stocks/updated": {
      "get": {
        "summary": "List updated stocks",
        "description": "Return a user's list of stocks that were updated after a datetime.",
        "operationId": "list-updated-stocks",
        "parameters": [
          {
            "name": "after",
            "in": "query",
            "description": "Cursor pointing to the start of the desired set.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Maximum number of returned stock elements.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": null
            }
          },
          {
            "name": "since",
            "in": "query",
            "description": "[Timestamp](https://docs.bridgeapi.io/docs/fields) representing the last moment transaction were in sync.",
            "schema": {
              "type": "string",
              "format": "date-time",
              "default": "Default: forever"
            }
          },
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Secret access token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"resources\": [\n    {\n      \"id\": 1510464,\n      \"current_price\": 772.08,\n      \"quantity\": 5.0,\n      \"total_value\": 3860.4,\n      \"average_purchase_price\": 776.6,\n      \"updated_at\": \"2019-01-27T10:27:16.553Z\",\n      \"ticker\": \"GOOG\",\n      \"stock_key\": \"US02079K1079-GOOGLE--USD\",\n      \"created_at\": \"2015-09-27T10:27:17.000Z\",\n      \"isin\": \"US02079K1079\",\n      \"currency_code\": \"USD\",\n      \"marketplace\": null,\n      \"label\": \"Google\",\n      \"value_date\": \"2015-08-23\",\n      \"is_deleted\": false,\n      \"account_id\": 16717622\n    }\n  ],\n  \"pagination\": {\n    \"next_uri\": null\n  }\n} "
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "resources": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 1510464,
                            "default": 0
                          },
                          "current_price": {
                            "type": "number",
                            "example": 772.08,
                            "default": 0
                          },
                          "quantity": {
                            "type": "integer",
                            "example": 5,
                            "default": 0
                          },
                          "total_value": {
                            "type": "number",
                            "example": 3860.4,
                            "default": 0
                          },
                          "average_purchase_price": {
                            "type": "number",
                            "example": 776.6,
                            "default": 0
                          },
                          "updated_at": {
                            "type": "string",
                            "example": "2019-01-27T10:27:16.553Z"
                          },
                          "ticker": {
                            "type": "string",
                            "example": "GOOG"
                          },
                          "stock_key": {
                            "type": "string",
                            "example": "US02079K1079-GOOGLE--USD"
                          },
                          "created_at": {
                            "type": "string",
                            "example": "2015-09-27T10:27:17.000Z"
                          },
                          "isin": {
                            "type": "string",
                            "example": "US02079K1079"
                          },
                          "currency_code": {
                            "type": "string",
                            "example": "USD"
                          },
                          "marketplace": {},
                          "label": {
                            "type": "string",
                            "example": "Google"
                          },
                          "value_date": {
                            "type": "string",
                            "example": "2015-08-23"
                          },
                          "is_deleted": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          },
                          "account_id": {
                            "type": "integer",
                            "example": 16717622,
                            "default": 0
                          }
                        }
                      }
                    },
                    "pagination": {
                      "type": "object",
                      "properties": {
                        "next_uri": {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/stocks/updated?after=MjAxNi0wOC0yOVQxMjowMDozNS45NTFaXzky&limit=2&since=2019-01-01T08%3A00%3A00Z' \\\n\t-X GET \\\n  -H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\\n\t-H 'Authorization: Bearer TOP_SECRET_ACCESS_TOKEN'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```